$(document).ready(function () {
    $(".valorreal").maskMoney({
        prefix: "R$ ",
        decimal: ",",
        thousands: "."
    });
});


$(document).ready(function () {
    $("#fm_cnpj").mask("99.999.999/9999-99");
    $("#fm_cpf").mask("999.999.999-99");
    $("#celular").mask("(99) 99999-9999");
    $("#telefone").mask("(99) 9999-9999");


        for (i = 0; i < 4; i++) {
            $('.formaction').fadeTo('slow', 0.7).fadeTo('fast', 1.0);
        }
      

});


$(document).ready(function () {

    $("select[name=estado]").change(

            function () {
                $('#cidade').html('<option value="...">Buscando cidades...</option>');
                $.post('/app/cidades.php', {estado: $(this).val()},
                        function (resposta) {
                            $("select[name=cidade]").html(resposta); 
                        });
            });

});


$(function () {
    $('.formaction').click(
            function (e) {
                e.preventDefault();

                var qtdstep = 5;

                $("#btnsubmit").prop("disabled", true);

                var valor = $(this).attr('data-valor');
                var step = $(this).attr('data-step');
                var daction = $(this).attr('data-action');
                var dados = $("#boxform").serialize();

      
                $("#boxform :input").attr('disabled', true);
                $("#boxform").css("filter", "blur(1px)");
                $("#boxform").css("opacity", "0.7");


                $.post("actionform.php", {valor: valor, step: step, daction: daction, dados: dados}, function (resposta) {

                    if (resposta != false) {
                        var obj = $.parseJSON(resposta);

                        if (obj.status == 'ERROR') {
                            bootbox.alert({
                                size: "medium",
                                message: "<span style=\"color: red;\" class=\"fas fa-times-circle\"></span> <strong style=\"color: red;\">Ocorreu um erro:</strong> <br />" + obj.mensagem,
                                callback:
                                        function () {
                                            $("#boxform :input").attr('disabled', false);
                                            $("#boxform").css("filter", "blur(0px)");
                                            $("#boxform").css("opacity", "1");

                                        }
                            });
                            return false;
                        } else {
                            percentstep = (100 / qtdstep) * step;
                            $("#boxform").html(obj.mensagem);
                            // alert (step);
                            $(".progress-bar").css("width", percentstep + "%");

                            $("#boxform").attr('disabled', false);
                            $("#boxform").css("filter", "blur(0px)");
                            $("#boxform").css("opacity", "1");

                        }


                    } else {
                        $("#boxform").html(obj.mensagem);
                        bootbox.alert({
                            size: "medium",
                            message: "<span style=\"color: green;\" class=\"fas fa-check\"></span> <strong style=\"color: green;\">Tudo certo!</strong><br />" + obj.mensagem,
                            callback:
                                    function () {
                                        window.location.replace(ret + ".php");
                                        return false;
                                    }
                        });
                    }

                });

            });
});




$(function () {
    $('.loginform').click(
            function (e) {
                e.preventDefault();

                //$("#btnentrar").prop("disabled", true);

                var dados = $("#inclogin").serialize();

                $.post("/app/logar.php", {dados: dados}, function (resposta) {


                    var obj = $.parseJSON(resposta);

                    if (obj.status == 'ERROR') {

                        $("#statuslogin").html("<i class='fas fa-times-circle'></i> " + obj.mensagem);
                        $("#statuslogin").css("border-color", "red");
                        $("#statuslogin").css("color", "red");
                        $("#statuslogin").slideDown();
                        $("#btnsubmit").prop("disabled", false);

                        return false;

                    } else {
                        var obj = $.parseJSON(resposta);
                        $("#statuslogin").html("<i class='fas fa-check-circle'></i> " + obj.mensagem);
                        $("#statuslogin").css("border-color", "green");
                        $("#statuslogin").css("color", "green");
                        $("#statuslogin").slideDown();

                        setTimeout(function () {
                            window.location.replace(obj.redirect);
                            return false;
                        }, 2000);

                    }

                });

            });
});

$(function () {
    $('.mobloginform').click(
            function (e) {
                e.preventDefault();

                $("#mobbtnsubmit").prop("disabled", true);
                $("#mobstatuslogin").html("Aguarde...");

                var dados = $("#moblogin").serialize();

                $.post("/app/logar.php", {dados: dados}, function (resposta) {


                    var obj = $.parseJSON(resposta);

                    if (obj.status == 'ERROR') {

                        $("#mobstatuslogin").html("<i class='fas fa-times-circle'></i> " + obj.mensagem);
                        $("#mobstatuslogin").css("border-color", "red");
                        $("#mobstatuslogin").css("color", "red");
                        $("#mobstatuslogin").slideDown();
                        $("#mobbtnsubmit").prop("disabled", false);
                        return false;

                    } else {
                        var obj = $.parseJSON(resposta);

                        $("#mobstatuslogin").html("<i class='fas fa-check-circle'></i> " + obj.mensagem);
                        $("#mobstatuslogin").css("border-color", "green");
                        $("#mobstatuslogin").css("color", "green");
                        $("#mobstatuslogin").slideDown();

                        setTimeout(function () {
                            window.location.replace(obj.redirect);
                            return false;
                        }, 2000);

                    }

                });

            });
});


$(function () {
    $('.login2form').click(
            function (e) {
                e.preventDefault();

                //$("#btnentrar").prop("disabled", true);

                var dados = $("#inc2login").serialize();

                $.post("/app/logar.php", {dados: dados}, function (resposta) {


                    var obj = $.parseJSON(resposta);

                    if (obj.status == 'ERROR') {

                        $("#status2login").html("<i class='fas fa-times-circle'></i> " + obj.mensagem);
                        $("#status2login").css("border-color", "red");
                        $("#status2login").css("color", "red");
                        $("#status2login").slideDown();
                        $("#btn2submit").prop("disabled", false);
                        return false;

                    } else {
                        var obj = $.parseJSON(resposta);
                        $("#status2login").html("<i class='fas fa-check-circle'></i> " + obj.mensagem);
                        $("#status2login").css("border-color", "green");
                        $("#status2login").css("color", "green");
                        $("#status2login").slideDown();
                        setTimeout(function () {
                            window.location.replace(obj.redirect);
                            return false;
                        }, 3000);

                    }

                });

            });
});



$(function ($) {
    $("#cadastro").submit(function () {
        var nomecompleto = $("#nomecompleto").val();
        var email = $("#email").val();
        var estado = $("#estado").val();
        var cidade = $("#cidade").val();
        var celular = $("#celular").val();
        var senha = $("#senha").val();
        var rsenha = $("#rsenha").val();
        var grecaptcharesponse = $("#g-recaptcha-response").val();
        
        $("#cadastrarbtn").prop("disabled", true);
        $("#cadastrarbtn").html("Aguarde...");

        $("#status").html("<img src='/app/loader.gif' alt='Cadastrando...' />");

        $.post('/app/cadastro-exe.php', {nomecompleto: nomecompleto, email: email, estado: estado, cidade: cidade, celular: celular, senha: senha, rsenha: rsenha, grecaptcharesponse: grecaptcharesponse}, function (resposta) {

            $("#statuserro").hide();
            
            if (resposta != false) {
                $("#statuserro").slideDown();
                $("#statuserro").html(resposta);
                $("#cadastrarbtn").prop("disabled", false);
                $("#cadastrarbtn").html("CADASTRAR");
            }
            
            else {
                
                $("#status").html("Cadastro realizado com sucesso!");

            }
        });
    });
});





$(function () {
    $('#reload').click(function () {
        $('#captcha').remove();
        $('#captcha-container').html('<img src="/app/captcha.php" id="captcha"  style="height:40px;">');

    });
});


$(function ($) {
    // Quando o formulÃ¡rio for enviado, essa funÃ§Ã£o Ã© chamada
    $("#login").submit(function () {
        // Colocamos os valores de cada campo em uma vÃ¡riavel para facilitar a manipulaÃ§Ã£o
        var emaillog = $("#emaillog").val();
        var ref = $("#ref").val();
        var senhalog = $("#senhalog").val();
        // Exibe mensagem de carregamento
        $("#btnentrar").prop("disabled", true);
        $("#status").html("<small>Aguarde...</small>");


        // Fazemos a requisÃ£o ajax com o arquivo envia.php e enviamos os valores de cada campo atravÃ©s do mÃ©todo POST
        $.post('/app/logar.php', {emaillog: emaillog, senhalog: senhalog, ref: ref}, function (resposta) {
            // Quando terminada a requisiÃ§Ã£o
            // Se a resposta Ã© um erro
            if (resposta != false) {
                // Exibe o erro na div

                $("#status").slideDown();
                $("#status").html(resposta);
                $("#carrega").css("display", "none");
                $("#carrega").hide();
                $("#btnentrar").prop("disabled", false);
            }
            // Se resposta for false, ou seja, nÃ£o ocorreu nenhum erro
            else {
                // Faz o login
                $("#status").hide();
                $("#carrega").hide();

            }
        });
    });
});






$(function ($) {
    // Quando o formulÃ¡rio for enviado, essa funÃ§Ã£o Ã© chamada
    $("#paglogin").submit(function () {
        // Colocamos os valores de cada campo em uma vÃ¡riavel para facilitar a manipulaÃ§Ã£o
        var emaillog = $("#pagemaillog").val();
        var senhalog = $("#pagsenhalog").val();
        // Exibe mensagem de carregamento
        $("#pagbtnentrar").prop("disabled", true);
        $("#pagstatus").html("<small>Aguarde...</small>");


        // Fazemos a requisÃ£o ajax com o arquivo envia.php e enviamos os valores de cada campo atravÃ©s do mÃ©todo POST
        $.post('/app/logar.php', {emaillog: emaillog, senhalog: senhalog}, function (resposta) {
            // Quando terminada a requisiÃ§Ã£o
            // Se a resposta Ã© um erro
            if (resposta != false) {
                // Exibe o erro na div

                $("#pagstatus").slideDown();
                $("#pagstatus").html(resposta);
                $("#pagcarrega").css("display", "none");
                $("#pagcarrega").hide();
                $("#pagbtnentrar").prop("disabled", false);
            }
            // Se resposta for false, ou seja, nÃ£o ocorreu nenhum erro
            else {
                // Faz o login
                $("#pagstatus").hide();
                $("#pagcarrega").hide();

            }
        });
    });
});


$(function ($) {
    $("#esquecisenha").submit(function () {

        var emaills = $("#emaills").val();

        $("#btnenviar").prop("disabled", true);
        $("#statusls").html("<small>Aguarde...</small>");

        $.post('/app/lembrar-senha-exe.php', {emaills: emaills}, function (resposta) {

            if (resposta != false) {
                $("#statusls").slideDown();
                $("#statusls").html(resposta);
                $("#carregals").css("display", "none");
                $("#carregals").hide();
                $("#btnenviar").prop("disabled", false);
            } else {
                $("#statusls").hide();
                $("#carregals").hide();

            }
        });
    });
});

$(function ($) {
    $("#recuperasenha").submit(function () {

        var senhals = $("#senhals").val();
        var rsenhals = $("#rsenhals").val();

        $("#btnenviar").prop("disabled", true);
        $("#statusls").html("<small>Aguarde...</small>");

        $.post('/app/alterar-senha-exe.php', {senhals: senhals, rsenhals: rsenhals}, function (resposta) {

            if (resposta != false) {
                $("#statusls").slideDown();
                $("#statusls").html(resposta);
                $("#carregals").css("display", "none");
                $("#carregals").hide();
                $("#btnenviar").prop("disabled", false);
            } else {
                $("#statusls").hide();
                $("#carregals").hide();

            }
        });
    });
});
